API Reference (non-admin endpoints)
Full route reference generated from backend files, grouped by route file, with a live tester.
This section documents every non-admin endpoint currently mounted in the backend server. Endpoints are grouped in the menu using the same route-file structure found in backend/src/routes.
- 62 route-file groups
- 477 total endpoints
- 425 authenticated endpoints / 52 public endpoints
Test endpoints directly from docs
Set auth mode, edit path/query/body payloads, and send requests in place. This makes it easy to validate real responses while reading each endpoint description.
1. Configure authentication for testing
You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.
2. Select endpoint
/v1/billingPublic endpointGroup: Billing
GET /v1/billing • described through route-level inference
- This endpoint can be called without an authenticated session.
3. Prepare request payload
4. Server response
Groups and endpoints
Each group below corresponds to a backend route file. You can open endpoint pages for group-specific intros, details, and an endpoint-focused tester.
Billing
/v1/billingPublic endpointGet Billing
GET /v1/billing • described through route-level inference
/v1/billing/checkoutPublic endpointGet Billing checkout
GET /v1/billing/checkout • typed through route generics
/v1/billing/portalAuth requiredGet Billing portal
GET /v1/billing/portal • typed through route generics
/v1/billing/subscriptionAuth requiredGet Billing subscription
GET /v1/billing/subscription • described through route-level inference
/v1/billing/payment-historyAuth requiredGet Billing payment history
GET /v1/billing/payment-history • described through route-level inference
/v1/billing/webhookPublic endpointCreate Billing webhook
POST /v1/billing/webhook • described through route-level inference
Pay / Payment
/v1/payment/webhookPublic endpointCreate Payment webhook
POST /v1/payment/webhook • described through route-level inference
/v1/payment/change-payouts-intervarPublic endpointCreate Payment change payouts intervar
POST /v1/payment/change-payouts-intervar • described through route-level inference
/v1/payment/request-payoutAuth requiredCreate Payment request payout
POST /v1/payment/request-payout • described through route-level inference
User
/v1/user/loginPublic endpointCreate User login
POST /v1/user/login • typed through route generics
/v1/userAuth requiredGet User
GET /v1/user • typed through route generics
/v1/userAuth requiredUpdate User
PATCH /v1/user • typed through route generics
/v1/user/login/pinRequestPublic endpointGet User login pinrequest
GET /v1/user/login/pinRequest • typed through route generics
/v1/user/login/verifyPinPublic endpointCreate User login verifypin
POST /v1/user/login/verifyPin • typed through route generics
/v1/user/login/controllerAuth requiredCreate User login controller
POST /v1/user/login/controller • typed through route generics
/v1/user/logoutAuth requiredDelete User logout
DELETE /v1/user/logout • described through route-level inference
/v1/user/tokenAuth requiredGet User token
GET /v1/user/token • described through route-level inference
/v1/user/subscribeAuth requiredCreate User subscribe
POST /v1/user/subscribe • described through route-level inference
/v1/userAuth requiredDelete User
DELETE /v1/user • described through route-level inference
Passkey
/v1/passkeyAuth requiredGet Passkey
GET /v1/passkey • typed through route generics
/v1/passkey/checkPublic endpointGet Passkey check
GET /v1/passkey/check • typed through route generics
/v1/passkey/register/startAuth requiredCreate Passkey register start
POST /v1/passkey/register/start • typed through route generics
/v1/passkey/register/finishAuth requiredCreate Passkey register finish
POST /v1/passkey/register/finish • typed through route generics
/v1/passkey/authenticate/startPublic endpointCreate Passkey authenticate start
POST /v1/passkey/authenticate/start • typed through route generics
/v1/passkey/authenticate/finishPublic endpointCreate Passkey authenticate finish
POST /v1/passkey/authenticate/finish • typed through route generics
/v1/passkeyAuth requiredUpdate Passkey
PATCH /v1/passkey • typed through route generics
/v1/passkeyAuth requiredDelete Passkey
DELETE /v1/passkey • typed through route generics
Organization
/v1/organizationAuth requiredCreate Organization
POST /v1/organization • typed through route generics
/v1/organizationAuth requiredGet Organization
GET /v1/organization • typed through route generics
/v1/organization/referralsAuth requiredGet Organization referrals
GET /v1/organization/referrals • typed through route generics
/v1/organizationAuth requiredUpdate Organization
PATCH /v1/organization • typed through route generics
/v1/organization/activeAuth requiredCreate Organization active
POST /v1/organization/active • described through route-level inference
/v1/organization/inviteAuth requiredCreate Organization invite
POST /v1/organization/invite • typed through route generics
/v1/organization/inviteAuth requiredUpdate Organization invite
PATCH /v1/organization/invite • typed through route generics
/v1/organization/inviteAuth requiredDelete Organization invite
DELETE /v1/organization/invite • described through route-level inference
/v1/organization/owner/transferAuth requiredCreate Organization owner transfer
POST /v1/organization/owner/transfer • typed through route generics
/v1/organization/leaveAuth requiredCreate Organization leave
POST /v1/organization/leave • described through route-level inference
/v1/organization/usersAuth requiredGet Organization users
GET /v1/organization/users • typed through route generics
/v1/organization/webhookAuth requiredGet Organization webhook
GET /v1/organization/webhook • typed through route generics
/v1/organization/webhook/:webhookIdAuth requiredGet Organization webhook by webhookid
GET /v1/organization/webhook/:webhookId • typed through route generics
/v1/organization/webhookAuth requiredCreate Organization webhook
POST /v1/organization/webhook • validated by `postWebhook`
/v1/organization/webhook/results/by-payloadAuth requiredCreate Organization webhook results by payload
POST /v1/organization/webhook/results/by-payload • typed through route generics
/v1/organization/webhookAuth requiredUpdate Organization webhook
PATCH /v1/organization/webhook • validated by `patchWebhook`
/v1/organization/webhookAuth requiredDelete Organization webhook
DELETE /v1/organization/webhook • typed through route generics
/v1/organization/webhook/testAuth requiredCreate Organization webhook test
POST /v1/organization/webhook/test • typed through route generics
/v1/organization/webhook/retryAuth requiredCreate Organization webhook retry
POST /v1/organization/webhook/retry • typed through route generics
/v1/organization/settingsAuth requiredGet Organization settings
GET /v1/organization/settings • typed through route generics
/v1/organization/settingsAuth requiredUpdate Organization settings
PATCH /v1/organization/settings • validated by `organizationConfig`
/v1/organization/settings/userAuth requiredUpdate Organization settings user
PATCH /v1/organization/settings/user • typed through route generics
/v1/organization/user/toggleAuth requiredUpdate Organization user toggle
PATCH /v1/organization/user/toggle • typed through route generics
/v1/organization/user/notificationsAuth requiredGet Organization user notifications
GET /v1/organization/user/notifications • typed through route generics
/v1/organization/eventsAuth requiredGet Organization events
GET /v1/organization/events • typed through route generics
/v1/organization/partnerPublic endpointCreate Organization partner
POST /v1/organization/partner • described through route-level inference
/v1/organization/log-errorPublic endpointCreate Organization log error
POST /v1/organization/log-error • described through route-level inference
/v1/organization/commentAuth requiredCreate Organization comment
POST /v1/organization/comment • typed through route generics
/v1/organization/pay/createAuth requiredGet Organization pay create
GET /v1/organization/pay/create • described through route-level inference
/v1/organization/pay/linkAuth requiredGet Organization pay link
GET /v1/organization/pay/link • described through route-level inference
/v1/organization/pay/dashboardAuth requiredGet Organization pay dashboard
GET /v1/organization/pay/dashboard • described through route-level inference
/v1/organization/activeAuth requiredGet Organization active
GET /v1/organization/active • described through route-level inference
/v1/organization/import/historyAuth requiredGet Organization import history
GET /v1/organization/import/history • typed through route generics
/v1/organization/stripe/payment-methodsAuth requiredGet Organization stripe payment methods
GET /v1/organization/stripe/payment-methods • described through route-level inference
/v1/organization/customer/payment-methodsAuth requiredGet Organization customer payment methods
GET /v1/organization/customer/payment-methods • described through route-level inference
/v1/organization/customer/payment-methods/:paymentMethodIdAuth requiredDelete Organization customer payment methods by paymentmethodid
DELETE /v1/organization/customer/payment-methods/:paymentMethodId • described through route-level inference
/v1/organization/customer/setup-intentAuth requiredCreate Organization customer setup intent
POST /v1/organization/customer/setup-intent • described through route-level inference
/v1/organization/image/:organizationIdPublic endpointGet Organization image by organizationid
GET /v1/organization/image/:organizationId • described through route-level inference
Accounting / Pending Record
A pending record refers to documents (invoice, quote, order, loan) that can later be linked to records such as payments, credits, and accounting movements.
/v1/record/pending/allAuth requiredGet Pending Record all
GET /v1/record/pending/all • described through route-level inference
/v1/record/pendingAuth requiredCreate Pending Record
POST /v1/record/pending • validated by `postPendingRecord`
/v1/record/pending/bulkAuth requiredCreate Pending Record bulk
POST /v1/record/pending/bulk • validated by `postPendingRecordBulk`
/v1/record/pending/loanAuth requiredCreate Pending Record loan
POST /v1/record/pending/loan • validated by `postLoan`
/v1/record/pending/cloneAuth requiredCreate Pending Record clone
POST /v1/record/pending/clone • validated by `postClonePendingRecord`
/v1/record/pending/create-fromAuth requiredCreate Pending Record create from
POST /v1/record/pending/create-from • validated by `postCreateFromPendingRecord`
/v1/record/pendingAuth requiredUpdate Pending Record
PATCH /v1/record/pending • typed through route generics
/v1/record/pendingAuth requiredDelete Pending Record
DELETE /v1/record/pending • typed through route generics
/v1/record/pending/elementAuth requiredCreate Pending Record element
POST /v1/record/pending/element • typed through route generics
/v1/record/pending/elementAuth requiredUpdate Pending Record element
PATCH /v1/record/pending/element • typed through route generics
/v1/record/pending/elementAuth requiredDelete Pending Record element
DELETE /v1/record/pending/element • typed through route generics
/v1/record/pending/element/taxesAuth requiredCreate Pending Record element taxes
POST /v1/record/pending/element/taxes • typed through route generics
/v1/record/pending/element/taxesPublic endpointDelete Pending Record element taxes
DELETE /v1/record/pending/element/taxes • typed through route generics
/v1/record/pending/payAuth requiredUpdate Pending Record pay
PATCH /v1/record/pending/pay • validated by `payPendingRecord`
/v1/record/pending/pay/bulkAuth requiredUpdate Pending Record pay bulk
PATCH /v1/record/pending/pay/bulk • validated by `payPendingRecordBulk`
/v1/record/pending/reportAuth requiredGet Pending Record report
GET /v1/record/pending/report • described through route-level inference
/v1/record/pending/crm/metricsAuth requiredGet Pending Record crm metrics
GET /v1/record/pending/crm/metrics • typed through route generics
/v1/record/pending/report/downloadAuth requiredGet Pending Record report download
GET /v1/record/pending/report/download • described through route-level inference
/v1/record/pending/creditAuth requiredCreate Pending Record credit
POST /v1/record/pending/credit • validated by `postCredit`
/v1/record/pending/credit/resumeAuth requiredGet Pending Record credit resume
GET /v1/record/pending/credit/resume • typed through route generics
/v1/record/pending/credit/:creditIdAuth requiredGet Pending Record credit by creditid
GET /v1/record/pending/credit/:creditId • validated by `getCreditById`
/v1/record/pending/credit/tableAuth requiredCreate Pending Record credit table
POST /v1/record/pending/credit/table • typed through route generics
/v1/record/pending/credit/makeCreditPaymentAuth requiredCreate Pending Record credit makecreditpayment
POST /v1/record/pending/credit/makeCreditPayment • validated by `makeCreditPayment`
/v1/record/pending/credit/makeCapitalPaymentAuth requiredCreate Pending Record credit makecapitalpayment
POST /v1/record/pending/credit/makeCapitalPayment • validated by `makeCapitalPayment`
/v1/record/pending/linkAuth requiredUpdate Pending Record link
PATCH /v1/record/pending/link • typed through route generics
/v1/record/pendingAuth requiredGet Pending Record
GET /v1/record/pending • typed through route generics
/v1/record/pending/exportAuth requiredGet Pending Record export
GET /v1/record/pending/export • typed through route generics
/v1/record/pending/recurrencyResumeAuth requiredGet Pending Record recurrencyresume
GET /v1/record/pending/recurrencyResume • typed through route generics
/v1/record/pending/checkRecurrenciesAndCreateAuth requiredCreate Pending Record checkrecurrenciesandcreate
POST /v1/record/pending/checkRecurrenciesAndCreate • described through route-level inference
/v1/record/pending/givenRecurrencyAuth requiredCreate Pending Record givenrecurrency
POST /v1/record/pending/givenRecurrency • described through route-level inference
/v1/record/pending/nextRecurrencyAuth requiredCreate Pending Record nextrecurrency
POST /v1/record/pending/nextRecurrency • described through route-level inference
/v1/record/pending/linkCostAuth requiredUpdate Pending Record linkcost
PATCH /v1/record/pending/linkCost • typed through route generics
/v1/record/pending/unlinkCostAuth requiredUpdate Pending Record unlinkcost
PATCH /v1/record/pending/unlinkCost • typed through route generics
/v1/record/pending/templateAuth requiredUpdate Pending Record template
PATCH /v1/record/pending/template • validated by `postPendingRecordTemplate`
/v1/record/pending/:shareId/dataPublic endpointGet Pending Record by shareid data
GET /v1/record/pending/:shareId/data • typed through route generics
/v1/record/pending/:invoiceId/voucherAuth requiredGet Pending Record by invoiceid voucher
GET /v1/record/pending/:invoiceId/voucher • typed through route generics
/v1/record/pending/:pendingRecordId/shareAuth requiredGet Pending Record by pendingrecordid share
GET /v1/record/pending/:pendingRecordId/share • described through route-level inference
/v1/record/pending/:pendingRecordId/share/emailAuth requiredCreate Pending Record by pendingrecordid share email
POST /v1/record/pending/:pendingRecordId/share/email • described through route-level inference
/v1/record/pending/sales/comissionsAuth requiredGet Pending Record sales comissions
GET /v1/record/pending/sales/comissions • described through route-level inference
/v1/record/pending/:pendingRecordId/pay/:organizationIdPublic endpointGet Pending Record by pendingrecordid pay by organizationid
GET /v1/record/pending/:pendingRecordId/pay/:organizationId • described through route-level inference
/v1/record/pending/previousItems/:contactIdAuth requiredGet Pending Record previousitems by contactid
GET /v1/record/pending/previousItems/:contactId • typed through route generics
/v1/record/pending/recommendedItemsAuth requiredGet Pending Record recommendeditems
GET /v1/record/pending/recommendedItems • typed through route generics
/v1/record/pending/:pendingRecordIdAuth requiredGet Pending Record by pendingrecordid
GET /v1/record/pending/:pendingRecordId • typed through route generics
V2 / Accounting / Pending Record
The v2 pending record endpoints focus on paginated retrieval and reporting-ready invoice lists.
/v2/record/pendingAuth requiredGet Pending Record
GET /v2/record/pending • typed through route generics
/v2/record/pending/idsAuth requiredGet Pending Record ids
GET /v2/record/pending/ids • typed through route generics
/v2/record/pending/itemsAuth requiredGet Pending Record items
GET /v2/record/pending/items • typed through route generics
Accounting / Record
Record endpoints manage accounting entries already posted in your books, including listing, detail views, and updates.
/v1/recordAuth requiredCreate Record
POST /v1/record • typed through route generics
/v1/record/commissionAuth requiredCreate Record commission
POST /v1/record/commission • typed through route generics
/v1/recordAuth requiredGet Record
GET /v1/record • typed through route generics
/v1/record/resumeAuth requiredGet Record resume
GET /v1/record/resume • typed through route generics
/v1/recordAuth requiredUpdate Record
PATCH /v1/record • typed through route generics
/v1/recordAuth requiredDelete Record
DELETE /v1/record • described through route-level inference
/v1/record/chartAuth requiredGet Record chart
GET /v1/record/chart • described through route-level inference
/v1/record/reportAuth requiredGet Record report
GET /v1/record/report • described through route-level inference
/v1/record/report/downloadAuth requiredGet Record report download
GET /v1/record/report/download • described through route-level inference
/v1/record/:recordIdAuth requiredGet Record by recordid
GET /v1/record/:recordId • typed through route generics
V2 / Accounting / Record
/v2/recordAuth requiredGet Record
GET /v2/record • typed through route generics
Accounting / Credit
/v1/creditAuth requiredGet Credit
GET /v1/credit • typed through route generics
Accounting / Account
/v1/accountAuth requiredGet Account
GET /v1/account • typed through route generics
/v1/accountAuth requiredCreate Account
POST /v1/account • validated by `postAccount`
/v1/accountAuth requiredUpdate Account
PATCH /v1/account • validated by `patchAccount`
/v1/account/all/balance-historyAuth requiredGet Account all balance history
GET /v1/account/all/balance-history • typed through route generics
/v1/account/:accountId/balance-historyAuth requiredGet Account by accountid balance history
GET /v1/account/:accountId/balance-history • typed through route generics
/v1/account/transferAuth requiredCreate Account transfer
POST /v1/account/transfer • validated by `postAccountTransfer`
/v1/account/payoutsAuth requiredGet Account payouts
GET /v1/account/payouts • described through route-level inference
/v1/account/payout-balancesAuth requiredGet Account payout balances
GET /v1/account/payout-balances • described through route-level inference
/v1/account/payout-transferAuth requiredCreate Account payout transfer
POST /v1/account/payout-transfer • described through route-level inference
/v1/account/balanceAuth requiredGet Account balance
GET /v1/account/balance • typed through route generics
/v1/account/:accountId/conciliation-transactionsAuth requiredGet Account by accountid conciliation transactions
GET /v1/account/:accountId/conciliation-transactions • described through route-level inference
/v1/account/:accountId/conciliation-listAuth requiredGet Account by accountid conciliation list
GET /v1/account/:accountId/conciliation-list • typed through route generics
/v1/account/:accountId/conciliationAuth requiredCreate Account by accountid conciliation
POST /v1/account/:accountId/conciliation • described through route-level inference
/v1/account/:accountId/conciliationAuth requiredDelete Account by accountid conciliation
DELETE /v1/account/:accountId/conciliation • typed through route generics
Accounting / Chart Of Accounts
/v1/chart-of-accountsAuth requiredGet Chart Of Accounts
GET /v1/chart-of-accounts • typed through route generics
/v1/chart-of-accountsAuth requiredCreate Chart Of Accounts
POST /v1/chart-of-accounts • validated by `postChartAccount`
/v1/chart-of-accountsAuth requiredUpdate Chart Of Accounts
PATCH /v1/chart-of-accounts • validated by `patchChartAccount`
/v1/chart-of-accounts/:accountId/balance-with-sourcesAuth requiredGet Chart Of Accounts by accountid balance with sources
GET /v1/chart-of-accounts/:accountId/balance-with-sources • validated by `getAccountBalanceWithSources`
/v1/chart-of-accounts/data-sourceAuth requiredCreate Chart Of Accounts data source
POST /v1/chart-of-accounts/data-source • validated by `postAccountDataSource`
/v1/chart-of-accounts/data-sourceAuth requiredUpdate Chart Of Accounts data source
PATCH /v1/chart-of-accounts/data-source • validated by `patchAccountDataSource`
/v1/chart-of-accounts/data-source/:idAuth requiredDelete Chart Of Accounts data source by id
DELETE /v1/chart-of-accounts/data-source/:id • validated by `deleteAccountDataSource`
Accounting / Division
/v1/divisionAuth requiredCreate Division
POST /v1/division • validated by `postDivision`
/v1/divisionAuth requiredUpdate Division
PATCH /v1/division • validated by `patchDivision`
/v1/divisionAuth requiredGet Division
GET /v1/division • typed through route generics
/v1/division/:divisionId/spent-chartAuth requiredGet Division by divisionid spent chart
GET /v1/division/:divisionId/spent-chart • typed through route generics
/v1/division/balanceAuth requiredGet Division balance
GET /v1/division/balance • typed through route generics
/v1/division/transferAuth requiredCreate Division transfer
POST /v1/division/transfer • validated by `postDivisionTransfer`
/v1/division/activeAuth requiredCreate Division active
POST /v1/division/active • described through route-level inference
/v1/division/:divisionIdAuth requiredGet Division by divisionid
GET /v1/division/:divisionId • described through route-level inference
/v1/division/:divisionId/close-balanceAuth requiredGet Division by divisionid close balance
GET /v1/division/:divisionId/close-balance • typed through route generics
/v1/division/:divisionId/close-listAuth requiredGet Division by divisionid close list
GET /v1/division/:divisionId/close-list • typed through route generics
/v1/division/:divisionId/close-balanceAuth requiredCreate Division by divisionid close balance
POST /v1/division/:divisionId/close-balance • typed through route generics
/v1/division/:divisionId/close-balanceAuth requiredDelete Division by divisionid close balance
DELETE /v1/division/:divisionId/close-balance • typed through route generics
Accounting / Project
/v1/projectAuth requiredCreate Project
POST /v1/project • validated by `postProject`
/v1/projectAuth requiredGet Project
GET /v1/project • typed through route generics
/v1/project/:projectIdAuth requiredGet Project by projectid
GET /v1/project/:projectId • validated by `getProjectById`
Accounting / Beneficiary
/v1/beneficiary/exportAuth requiredGet Beneficiary export
GET /v1/beneficiary/export • typed through route generics
/v1/beneficiaryAuth requiredCreate Beneficiary
POST /v1/beneficiary • validated by `postBeneficiary`
/v1/beneficiary/bulkAuth requiredCreate Beneficiary bulk
POST /v1/beneficiary/bulk • validated by `postBeneficiaryBulk`
/v1/beneficiaryAuth requiredUpdate Beneficiary
PATCH /v1/beneficiary • validated by `patchBeneficiary`
/v1/beneficiary/bulk/archiveAuth requiredUpdate Beneficiary bulk archive
PATCH /v1/beneficiary/bulk/archive • validated by `patchBeneficiaryBulkArchive`
/v1/beneficiaryAuth requiredGet Beneficiary
GET /v1/beneficiary • typed through route generics
/v1/beneficiary/contactAuth requiredCreate Beneficiary contact
POST /v1/beneficiary/contact • validated by `postContact`
/v1/beneficiary/contactAuth requiredUpdate Beneficiary contact
PATCH /v1/beneficiary/contact • validated by `updateContact`
/v1/beneficiary/contact/:contactDataIdAuth requiredGet Beneficiary contact by contactdataid
GET /v1/beneficiary/contact/:contactDataId • typed through route generics
/v1/beneficiary/contact/:contactDataIdAuth requiredDelete Beneficiary contact by contactdataid
DELETE /v1/beneficiary/contact/:contactDataId • typed through route generics
/v1/beneficiary/mergeAuth requiredUpdate Beneficiary merge
PATCH /v1/beneficiary/merge • typed through route generics
/v1/beneficiary/:beneficiaryIdAuth requiredGet Beneficiary by beneficiaryid
GET /v1/beneficiary/:beneficiaryId • typed through route generics
/v1/beneficiary/byId/:contactDataAuth requiredGet Beneficiary byid by contactdata
GET /v1/beneficiary/byId/:contactData • typed through route generics
/v1/beneficiary/taxId/randomAuth requiredGet Beneficiary taxid random
GET /v1/beneficiary/taxId/random • described through route-level inference
/v1/beneficiary/taxId/:taxIdAuth requiredGet Beneficiary taxid by taxid
GET /v1/beneficiary/taxId/:taxId • described through route-level inference
/v1/beneficiary/tax-data/processAuth requiredGet Beneficiary tax data process
GET /v1/beneficiary/tax-data/process • described through route-level inference
V2 / Accounting / Beneficiary
/v2/beneficiary/contactAuth requiredCreate Beneficiary contact
POST /v2/beneficiary/contact • validated by `postContactV2`
Accounting / Taxes
/v1/taxesAuth requiredGet Taxes
GET /v1/taxes • typed through route generics
/v1/taxes/listAuth requiredGet Taxes list
GET /v1/taxes/list • typed through route generics
/v1/taxes/numeralsAuth requiredGet Taxes numerals
GET /v1/taxes/numerals • typed through route generics
/v1/taxes/numeralsAuth requiredCreate Taxes numerals
POST /v1/taxes/numerals • typed through route generics
/v1/taxes/numerals/:idAuth requiredUpdate Taxes numerals by id
PATCH /v1/taxes/numerals/:id • typed through route generics
/v1/taxes/numerals/nextAuth requiredGet Taxes numerals next
GET /v1/taxes/numerals/next • typed through route generics
/v1/taxes/numerals/next/allAuth requiredGet Taxes numerals next all
GET /v1/taxes/numerals/next/all • described through route-level inference
/v1/taxes/numerals/current/allAuth requiredGet Taxes numerals current all
GET /v1/taxes/numerals/current/all • described through route-level inference
/v1/taxes/606Auth requiredGet Taxes 606
GET /v1/taxes/606 • typed through route generics
/v1/taxes/606/fileAuth requiredGet Taxes 606 file
GET /v1/taxes/606/file • typed through route generics
/v1/taxes/607Auth requiredGet Taxes 607
GET /v1/taxes/607 • typed through route generics
/v1/taxes/607/fileAuth requiredGet Taxes 607 file
GET /v1/taxes/607/file • typed through route generics
Alanube
/v1/alanube/provider-infoAuth requiredGet Alanube provider info
GET /v1/alanube/provider-info • described through route-level inference
/v1/alanube/companyAuth requiredGet Alanube company
GET /v1/alanube/company • described through route-level inference
/v1/alanube/companyAuth requiredCreate Alanube company
POST /v1/alanube/company • described through route-level inference
/v1/alanube/sign-documentAuth requiredCreate Alanube sign document
POST /v1/alanube/sign-document • described through route-level inference
/v1/alanube/test-setAuth requiredCreate Alanube test set
POST /v1/alanube/test-set • described through route-level inference
/v1/alanube/test-setAuth requiredGet Alanube test set
GET /v1/alanube/test-set • described through route-level inference
/v1/alanube/healthAuth requiredGet Alanube health
GET /v1/alanube/health • described through route-level inference
/v1/alanube/test-set/progressAuth requiredGet Alanube test set progress
GET /v1/alanube/test-set/progress • described through route-level inference
Accounting / Currency
/v1/currency/ratesAuth requiredGet Currency rates
GET /v1/currency/rates • typed through route generics
Chats / Chat
/v1/chat/messageAuth requiredCreate Chat message
POST /v1/chat/message • typed through route generics
/v1/chat/whatsapp/templateAuth requiredCreate Chat whatsapp template
POST /v1/chat/whatsapp/template • typed through route generics
/v1/chat/media/:channelId/:mediaIdAuth requiredGet Chat media by channelid by mediaid
GET /v1/chat/media/:channelId/:mediaId • described through route-level inference
/v1/chat/webhookPublic endpointGet Chat webhook
GET /v1/chat/webhook • described through route-level inference
/v1/chat/webhookPublic endpointCreate Chat webhook
POST /v1/chat/webhook • typed through route generics
/v1/chat/webhook/whatsappPublic endpointCreate Chat webhook whatsapp
POST /v1/chat/webhook/whatsapp • typed through route generics
V2 / Chats / Chat
/v2/chat/webhook/whatsappPublic endpointGet Chat webhook whatsapp
GET /v2/chat/webhook/whatsapp • described through route-level inference
/v2/chat/webhook/whatsappPublic endpointCreate Chat webhook whatsapp
POST /v2/chat/webhook/whatsapp • typed through route generics
Chats / Channel
/v1/channelAuth requiredGet Channel
GET /v1/channel • typed through route generics
/v1/channel/:channelIdAuth requiredGet Channel by channelid
GET /v1/channel/:channelId • typed through route generics
/v1/channel/:channelId/statsAuth requiredGet Channel by channelid stats
GET /v1/channel/:channelId/stats • described through route-level inference
/v1/channel/:channelId/whatsapp/templatesAuth requiredGet Channel by channelid whatsapp templates
GET /v1/channel/:channelId/whatsapp/templates • typed through route generics
/v1/channel/:channelId/whatsapp/templatesAuth requiredCreate Channel by channelid whatsapp templates
POST /v1/channel/:channelId/whatsapp/templates • typed through route generics
/v1/channel/:channelId/whatsapp/templates/:templateIdAuth requiredDelete Channel by channelid whatsapp templates by templateid
DELETE /v1/channel/:channelId/whatsapp/templates/:templateId • typed through route generics
/v1/channelAuth requiredUpdate Channel
PATCH /v1/channel • typed through route generics
/v1/channel/:channelId/toggle-stateAuth requiredUpdate Channel by channelid toggle state
PATCH /v1/channel/:channelId/toggle-state • described through route-level inference
/v1/channelAuth requiredCreate Channel
POST /v1/channel • typed through route generics
/v1/channel/whatsapp/urlAuth requiredGet Channel whatsapp url
GET /v1/channel/whatsapp/url • described through route-level inference
V2 / Chats / Channel
/v2/channel/whatsapp/accountsAuth requiredGet Channel whatsapp accounts
GET /v2/channel/whatsapp/accounts • described through route-level inference
/v2/channel/whatsapp/subscribeAuth requiredCreate Channel whatsapp subscribe
POST /v2/channel/whatsapp/subscribe • described through route-level inference
/v2/channel/whatsapp/:phoneNumberId/pinAuth requiredGet Channel whatsapp by phonenumberid pin
GET /v2/channel/whatsapp/:phoneNumberId/pin • described through route-level inference
/v2/channel/whatsapp/:phoneNumberId/pinAuth requiredCreate Channel whatsapp by phonenumberid pin
POST /v2/channel/whatsapp/:phoneNumberId/pin • described through route-level inference
/v2/channel/whatsapp/:phoneNumberId/linkAuth requiredCreate Channel whatsapp by phonenumberid link
POST /v2/channel/whatsapp/:phoneNumberId/link • typed through route generics
/v2/channel/whatsapp/addWabaAuth requiredCreate Channel whatsapp addwaba
POST /v2/channel/whatsapp/addWaba • described through route-level inference
/v2/channel/whatsapp/:wabaId/healthAuth requiredGet Channel whatsapp by wabaid health
GET /v2/channel/whatsapp/:wabaId/health • described through route-level inference
Chats / Conversation
/v1/conversationAuth requiredGet Conversation
GET /v1/conversation • typed through route generics
/v1/conversation/statsAuth requiredGet Conversation stats
GET /v1/conversation/stats • typed through route generics
/v1/conversation/:idAuth requiredGet Conversation by id
GET /v1/conversation/:id • typed through route generics
/v1/conversation/:channelId/:sourceIdAuth requiredGet Conversation by channelid by sourceid
GET /v1/conversation/:channelId/:sourceId • typed through route generics
/v1/conversation/:channelId/:sourceId/metaAuth requiredGet Conversation by channelid by sourceid meta
GET /v1/conversation/:channelId/:sourceId/meta • typed through route generics
/v1/conversation/:channelId/:sourceId/feedAuth requiredGet Conversation by channelid by sourceid feed
GET /v1/conversation/:channelId/:sourceId/feed • typed through route generics
/v1/conversation/:channelId/:sourceId/seenAuth requiredUpdate Conversation by channelid by sourceid seen
PATCH /v1/conversation/:channelId/:sourceId/seen • typed through route generics
/v1/conversationAuth requiredUpdate Conversation
PATCH /v1/conversation • typed through route generics
/v1/conversationAuth requiredCreate Conversation
POST /v1/conversation • typed through route generics
/v1/conversation/:id/assignAuth requiredUpdate Conversation by id assign
PATCH /v1/conversation/:id/assign • typed through route generics
/v1/conversation/:id/categorizeAuth requiredCreate Conversation by id categorize
POST /v1/conversation/:id/categorize • described through route-level inference
Chats / Conversation List
/v1/conversation-listAuth requiredGet Conversation List
GET /v1/conversation-list • validated by `getConversationListsSchema`
/v1/conversation-list/:idAuth requiredGet Conversation List by id
GET /v1/conversation-list/:id • validated by `getConversationListByIdSchema`
/v1/conversation-listAuth requiredCreate Conversation List
POST /v1/conversation-list • validated by `postConversationListSchema`
/v1/conversation-listAuth requiredUpdate Conversation List
PATCH /v1/conversation-list • validated by `patchConversationListSchema`
/v1/conversation-listAuth requiredDelete Conversation List
DELETE /v1/conversation-list • validated by `deleteConversationListSchema`
Chats / Diffusion
/v1/conversation-diffusionAuth requiredGet Diffusion
GET /v1/conversation-diffusion • typed through route generics
/v1/conversation-diffusion/:idAuth requiredGet Diffusion by id
GET /v1/conversation-diffusion/:id • validated by `getDiffusionByIdSchema`
/v1/conversation-diffusionAuth requiredCreate Diffusion
POST /v1/conversation-diffusion • validated by `postDiffusionSchema`
/v1/conversation-diffusionAuth requiredUpdate Diffusion
PATCH /v1/conversation-diffusion • validated by `patchDiffusionSchema`
/v1/conversation-diffusionAuth requiredDelete Diffusion
DELETE /v1/conversation-diffusion • validated by `deleteDiffusionSchema`
/v1/conversation-diffusion/:id/startAuth requiredCreate Diffusion by id start
POST /v1/conversation-diffusion/:id/start • validated by `startDiffusionSchema`
/v1/conversation-diffusion/:id/logsAuth requiredGet Diffusion by id logs
GET /v1/conversation-diffusion/:id/logs • validated by `getDiffusionLogsSchema`
/v1/conversation-diffusion/:id/previewAuth requiredGet Diffusion by id preview
GET /v1/conversation-diffusion/:id/preview • validated by `getDiffusionPreviewSchema`
V2 / Chats / Conversation
/v2/conversationAuth requiredGet Conversation
GET /v2/conversation • typed through route generics
Chats / Bot
/v1/botAuth requiredGet Bot
GET /v1/bot • described through route-level inference
/v1/botAuth requiredCreate Bot
POST /v1/bot • validated by `postBot`
/v1/bot/trainingAuth requiredCreate Bot training
POST /v1/bot/training • validated by `postBotTraining`
/v1/bot/trainingAuth requiredUpdate Bot training
PATCH /v1/bot/training • validated by `patchBotTraining`
/v1/bot/training/:botIdAuth requiredGet Bot training by botid
GET /v1/bot/training/:botId • typed through route generics
/v1/bot/training/:botId/:idAuth requiredDelete Bot training by botid by id
DELETE /v1/bot/training/:botId/:id • described through route-level inference
/v1/bot/answerAuth requiredCreate Bot answer
POST /v1/bot/answer • typed through route generics
/v1/bot/contextAuth requiredCreate Bot context
POST /v1/bot/context • typed through route generics
/v1/bot/:botId/context-requestsAuth requiredGet Bot by botid context requests
GET /v1/bot/:botId/context-requests • described through route-level inference
/v1/bot/:botIdAuth requiredGet Bot by botid
GET /v1/bot/:botId • typed through route generics
/v1/bot/:botIdAuth requiredUpdate Bot by botid
PATCH /v1/bot/:botId • typed through route generics
Chats / Custom Tools
/v1/custom-toolsAuth requiredGet Custom Tools
GET /v1/custom-tools • typed through route generics
/v1/custom-tools/:idAuth requiredGet Custom Tools by id
GET /v1/custom-tools/:id • typed through route generics
/v1/custom-toolsAuth requiredCreate Custom Tools
POST /v1/custom-tools • typed through route generics
/v1/custom-tools/:idAuth requiredReplace Custom Tools by id
PUT /v1/custom-tools/:id • typed through route generics
/v1/custom-tools/:idAuth requiredDelete Custom Tools by id
DELETE /v1/custom-tools/:id • typed through route generics
Resources / Record
/v1/resource/recordAuth requiredCreate Record
POST /v1/resource/record • validated by `postResourceRecord`
/v1/resource/record/bulkAuth requiredCreate Record bulk
POST /v1/resource/record/bulk • validated by `postBulkResourceRecord`
/v1/resource/record/bulk-stockAuth requiredCreate Record bulk stock
POST /v1/resource/record/bulk-stock • validated by `postBulkStockUpdate`
/v1/resource/recordAuth requiredUpdate Record
PATCH /v1/resource/record • validated by `patchResourceRecord`
/v1/resource/recordAuth requiredGet Record
GET /v1/resource/record • typed through route generics
Resources / Delivery
/v1/resource/deliveryAuth requiredCreate Delivery
POST /v1/resource/delivery • validated by `postDelivery`
/v1/resource/deliveryAuth requiredUpdate Delivery
PATCH /v1/resource/delivery • validated by `patchDelivery`
/v1/resource/deliveryAuth requiredGet Delivery
GET /v1/resource/delivery • typed through route generics
/v1/resource/delivery/mismatchesAuth requiredGet Delivery mismatches
GET /v1/resource/delivery/mismatches • typed through route generics
/v1/resource/delivery/mismatches/fixAuth requiredCreate Delivery mismatches fix
POST /v1/resource/delivery/mismatches/fix • typed through route generics
/v1/resource/delivery/:deliveryIdAuth requiredGet Delivery by deliveryid
GET /v1/resource/delivery/:deliveryId • described through route-level inference
Resources / Return
/v1/resource/returnAuth requiredCreate Return
POST /v1/resource/return • validated by `postReturn`
/v1/resource/returnAuth requiredGet Return
GET /v1/resource/return • typed through route generics
/v1/resource/returnAuth requiredUpdate Return
PATCH /v1/resource/return • typed through route generics
/v1/resource/return/:returnIdAuth requiredGet Return by returnid
GET /v1/resource/return/:returnId • typed through route generics
V2 / Resources / Return
/v2/resource/returnAuth requiredGet Return
GET /v2/resource/return • typed through route generics
Resources / Resource List
/v1/resource/resource-listAuth requiredCreate Resource List
POST /v1/resource/resource-list • typed through route generics
/v1/resource/resource-listAuth requiredGet Resource List
GET /v1/resource/resource-list • typed through route generics
/v1/resource/resource-list/:listIdAuth requiredGet Resource List by listid
GET /v1/resource/resource-list/:listId • typed through route generics
/v1/resource/resource-list/:listId/resourcesAuth requiredGet Resource List by listid resources
GET /v1/resource/resource-list/:listId/resources • typed through route generics
/v1/resource/resource-listAuth requiredUpdate Resource List
PATCH /v1/resource/resource-list • typed through route generics
/v1/resource/resource-listAuth requiredDelete Resource List
DELETE /v1/resource/resource-list • typed through route generics
/v1/resource/resource-list/clear-cacheAuth requiredCreate Resource List clear cache
POST /v1/resource/resource-list/clear-cache • described through route-level inference
Resources / Discount Recommendation
/v1/resource/discount-recommendationAuth requiredGet Discount Recommendation
GET /v1/resource/discount-recommendation • typed through route generics
/v1/resource/discount-recommendationAuth requiredCreate Discount Recommendation
POST /v1/resource/discount-recommendation • validated by `postDiscountRecommendation`
/v1/resource/discount-recommendationAuth requiredUpdate Discount Recommendation
PATCH /v1/resource/discount-recommendation • validated by `patchDiscountRecommendation`
/v1/resource/discount-recommendationAuth requiredDelete Discount Recommendation
DELETE /v1/resource/discount-recommendation • typed through route generics
Resources / Serial Numbers
/v1/resource/serial-numbersAuth requiredGet Serial Numbers
GET /v1/resource/serial-numbers • typed through route generics
/v1/resource/serial-numbers/exportAuth requiredCreate Serial Numbers export
POST /v1/resource/serial-numbers/export • typed through route generics
/v1/resource/serial-numbers/export/historyAuth requiredGet Serial Numbers export history
GET /v1/resource/serial-numbers/export/history • typed through route generics
/v1/resource/serial-numbers/export/download/:fileNameAuth requiredGet Serial Numbers export download by filename
GET /v1/resource/serial-numbers/export/download/:fileName • described through route-level inference
/v1/resource/serial-numbers/:resourceId/:serialNumberAuth requiredGet Serial Numbers by resourceid by serialnumber
GET /v1/resource/serial-numbers/:resourceId/:serialNumber • typed through route generics
/v1/resource/serial-numbers/:resourceId/:serialNumberAuth requiredUpdate Serial Numbers by resourceid by serialnumber
PATCH /v1/resource/serial-numbers/:resourceId/:serialNumber • typed through route generics
/v1/resource/serial-numbers/:resourceIdAuth requiredGet Serial Numbers by resourceid
GET /v1/resource/serial-numbers/:resourceId • typed through route generics
Resources / Position
/v1/resource/positionAuth requiredGet Position
GET /v1/resource/position • typed through route generics
/v1/resource/position/:resourceId/:divisionIdAuth requiredGet Position by resourceid by divisionid
GET /v1/resource/position/:resourceId/:divisionId • typed through route generics
/v1/resource/positionAuth requiredCreate Position
POST /v1/resource/position • validated by `postResourcePosition`
/v1/resource/positionAuth requiredUpdate Position
PATCH /v1/resource/position • validated by `patchResourcePosition`
/v1/resource/positionAuth requiredDelete Position
DELETE /v1/resource/position • validated by `deleteResourcePosition`
/v1/resource/position/bulkAuth requiredCreate Position bulk
POST /v1/resource/position/bulk • validated by `postBulkResourcePosition`
Resources / Resource
Resource endpoints let you create and maintain catalog items used across sales, purchasing, and inventory workflows.
/v1/resourceAuth requiredGet Resource
GET /v1/resource • typed through route generics
/v1/resource/listAuth requiredGet Resource list
GET /v1/resource/list • typed through route generics
/v1/resourceAuth requiredCreate Resource
POST /v1/resource • validated by `postResource`
/v1/resourceAuth requiredUpdate Resource
PATCH /v1/resource • typed through route generics
/v1/resource/bulk/archiveAuth requiredUpdate Resource bulk archive
PATCH /v1/resource/bulk/archive • validated by `patchResourceBulkArchive`
/v1/resource/priceAuth requiredUpdate Resource price
PATCH /v1/resource/price • validated by `patchPriceTier`
/v1/resource/priceAuth requiredCreate Resource price
POST /v1/resource/price • validated by `postPriceTier`
/v1/resource/priceAuth requiredDelete Resource price
DELETE /v1/resource/price • typed through route generics
/v1/resource/price/bulkAuth requiredDelete Resource price bulk
DELETE /v1/resource/price/bulk • typed through route generics
/v1/resource/price/labelsAuth requiredGet Resource price labels
GET /v1/resource/price/labels • typed through route generics
/v1/resource/bulkAuth requiredCreate Resource bulk
POST /v1/resource/bulk • validated by `postBulkResource`
/v1/resource/bulk/historyAuth requiredGet Resource bulk history
GET /v1/resource/bulk/history • typed through route generics
/v1/resource/statsAuth requiredGet Resource stats
GET /v1/resource/stats • typed through route generics
/v1/resource/productionAuth requiredCreate Resource production
POST /v1/resource/production • typed through route generics
/v1/resource/barcode/generateAuth requiredCreate Resource barcode generate
POST /v1/resource/barcode/generate • typed through route generics
/v1/resource/total-valueAuth requiredGet Resource total value
GET /v1/resource/total-value • typed through route generics
/v1/resource/productionAuth requiredGet Resource production
GET /v1/resource/production • typed through route generics
/v1/resource/production/:productionId/recipeAuth requiredGet Resource production by productionid recipe
GET /v1/resource/production/:productionId/recipe • typed through route generics
/v1/resource/production/:resourceId/recipe/latestAuth requiredGet Resource production by resourceid recipe latest
GET /v1/resource/production/:resourceId/recipe/latest • typed through route generics
/v1/resource/production/:productionId/applyAuth requiredCreate Resource production by productionid apply
POST /v1/resource/production/:productionId/apply • typed through route generics
/v1/resource/production/:productionIdAuth requiredUpdate Resource production by productionid
PATCH /v1/resource/production/:productionId • typed through route generics
/v1/resource/exportAuth requiredCreate Resource export
POST /v1/resource/export • typed through route generics
/v1/resource/export/historyAuth requiredGet Resource export history
GET /v1/resource/export/history • typed through route generics
/v1/resource/export/download/:fileNameAuth requiredGet Resource export download by filename
GET /v1/resource/export/download/:fileName • described through route-level inference
/v1/resource/taxAuth requiredCreate Resource tax
POST /v1/resource/tax • typed through route generics
/v1/resource/taxAuth requiredDelete Resource tax
DELETE /v1/resource/tax • typed through route generics
/v1/resource/tax/:resourceIdAuth requiredGet Resource tax by resourceid
GET /v1/resource/tax/:resourceId • described through route-level inference
/v1/resource/tax/bulkAuth requiredUpdate Resource tax bulk
PATCH /v1/resource/tax/bulk • typed through route generics
/v1/resource/:resourceId/request-marketplace-reviewAuth requiredUpdate Resource by resourceid request marketplace review
PATCH /v1/resource/:resourceId/request-marketplace-review • described through route-level inference
/v1/resource/:resourceIdAuth requiredGet Resource by resourceid
GET /v1/resource/:resourceId • typed through route generics
/v1/resource/:resourceId/storageAuth requiredGet Resource by resourceid storage
GET /v1/resource/:resourceId/storage • typed through route generics
/v1/resource/production/:productionIdAuth requiredGet Resource production by productionid
GET /v1/resource/production/:productionId • typed through route generics
/v1/resource/price/bulkAuth requiredCreate Resource price bulk
POST /v1/resource/price/bulk • validated by `postBulkPriceTier`
/v1/resource/cost/bulkAuth requiredCreate Resource cost bulk
POST /v1/resource/cost/bulk • validated by `postBulkCost`
V2 / Resources / Resource
/v2/resourceAuth requiredGet Resource
GET /v2/resource • typed through route generics
/v2/resource/idsAuth requiredGet Resource ids
GET /v2/resource/ids • typed through route generics
/v2/resource/bulkAuth requiredUpdate Resource bulk
PATCH /v2/resource/bulk • typed through route generics
Files / Files
/v1/filesAuth requiredGet Files
GET /v1/files • typed through route generics
/v1/files/record/:idAuth requiredGet Files record by id
GET /v1/files/record/:id • described through route-level inference
/v1/filesAuth requiredCreate Files
POST /v1/files • described through route-level inference
/v1/files/base64Auth requiredCreate Files base64
POST /v1/files/base64 • typed through route generics
/v1/filesAuth requiredUpdate Files
PATCH /v1/files • described through route-level inference
/v1/filesAuth requiredDelete Files
DELETE /v1/files • described through route-level inference
/v1/files/folderAuth requiredCreate Files folder
POST /v1/files/folder • described through route-level inference
/v1/files/documentAuth requiredCreate Files document
POST /v1/files/document • described through route-level inference
/v1/files/documentAuth requiredUpdate Files document
PATCH /v1/files/document • described through route-level inference
/v1/files/documentAuth requiredGet Files document
GET /v1/files/document • typed through route generics
/v1/files/document/:idAuth requiredGet Files document by id
GET /v1/files/document/:id • described through route-level inference
/v1/files/document/:id/publicPublic endpointGet Files document by id public
GET /v1/files/document/:id/public • described through route-level inference
/v1/files/documentsAuth requiredGet Files documents
GET /v1/files/documents • typed through route generics
/v1/files/objectAuth requiredGet Files object
GET /v1/files/object • described through route-level inference
/v1/files/object/publicPublic endpointGet Files object public
GET /v1/files/object/public • described through route-level inference
/v1/files/usageAuth requiredGet Files usage
GET /v1/files/usage • described through route-level inference
Tasks / Board
/v1/tasks/boardAuth requiredCreate Board
POST /v1/tasks/board • validated by `postBoard`
/v1/tasks/boardAuth requiredUpdate Board
PATCH /v1/tasks/board • validated by `patchBoard`
/v1/tasks/boardAuth requiredGet Board
GET /v1/tasks/board • typed through route generics
/v1/tasks/board/allAuth requiredGet Board all
GET /v1/tasks/board/all • typed through route generics
/v1/tasks/board/:boardIdAuth requiredGet Board by boardid
GET /v1/tasks/board/:boardId • typed through route generics
/v1/tasks/board/shared/:shareId/dataPublic endpointGet Board shared by shareid data
GET /v1/tasks/board/shared/:shareId/data • typed through route generics
/v1/tasks/board/:boardIdAuth requiredDelete Board by boardid
DELETE /v1/tasks/board/:boardId • typed through route generics
Tasks / Board Column
/v1/tasks/board-columnAuth requiredCreate Board Column
POST /v1/tasks/board-column • validated by `postBoardColumn`
/v1/tasks/board-columnAuth requiredGet Board Column
GET /v1/tasks/board-column • typed through route generics
/v1/tasks/board-column/:columnIdAuth requiredGet Board Column by columnid
GET /v1/tasks/board-column/:columnId • typed through route generics
/v1/tasks/board-columnAuth requiredUpdate Board Column
PATCH /v1/tasks/board-column • typed through route generics
/v1/tasks/board-column/:columnIdAuth requiredDelete Board Column by columnid
DELETE /v1/tasks/board-column/:columnId • typed through route generics
/v1/tasks/board-column/moveAuth requiredUpdate Board Column move
PATCH /v1/tasks/board-column/move • typed through route generics
Tasks / Board Task
Board task endpoints are used to create, update, and organize tasks across boards and columns.
/v1/tasks/board-taskAuth requiredCreate Board Task
POST /v1/tasks/board-task • validated by `postBoardTask`
/v1/tasks/board-taskAuth requiredGet Board Task
GET /v1/tasks/board-task • typed through route generics
/v1/tasks/board-taskAuth requiredUpdate Board Task
PATCH /v1/tasks/board-task • typed through route generics
/v1/tasks/board-task/moveAuth requiredUpdate Board Task move
PATCH /v1/tasks/board-task/move • typed through route generics
/v1/tasks/board-task/userAuth requiredGet Board Task user
GET /v1/tasks/board-task/user • typed through route generics
/v1/tasks/board-task/:taskIdAuth requiredGet Board Task by taskid
GET /v1/tasks/board-task/:taskId • typed through route generics
/v1/tasks/board-task/:taskIdAuth requiredDelete Board Task by taskid
DELETE /v1/tasks/board-task/:taskId • described through route-level inference
/v1/tasks/board-task/:taskId/recurrence/nextAuth requiredGet Board Task by taskid recurrence next
GET /v1/tasks/board-task/:taskId/recurrence/next • validated by `getNextRecurrenceInfo`
/v1/tasks/board-task/:taskId/recurrence/force-createAuth requiredCreate Board Task by taskid recurrence force create
POST /v1/tasks/board-task/:taskId/recurrence/force-create • validated by `postForceCreateRecurrence`
Tasks / Schedule
/v1/tasks/scheduleAuth requiredCreate Schedule
POST /v1/tasks/schedule • validated by `postTaskSchedule`
/v1/tasks/scheduleAuth requiredGet Schedule
GET /v1/tasks/schedule • validated by `listTaskSchedules`
/v1/tasks/schedule/:scheduleIdAuth requiredGet Schedule by scheduleid
GET /v1/tasks/schedule/:scheduleId • validated by `getTaskScheduleById`
/v1/tasks/schedule/:scheduleIdAuth requiredUpdate Schedule by scheduleid
PATCH /v1/tasks/schedule/:scheduleId • validated by `patchTaskSchedule`
/v1/tasks/schedule/:scheduleIdAuth requiredDelete Schedule by scheduleid
DELETE /v1/tasks/schedule/:scheduleId • validated by `deleteTaskSchedule`
/v1/tasks/schedule/:scheduleId/icsPublic endpointGet Schedule by scheduleid ics
GET /v1/tasks/schedule/:scheduleId/ics • validated by `getTaskScheduleById`
/v1/tasks/schedule/linkAuth requiredCreate Schedule link
POST /v1/tasks/schedule/link • validated by `postTaskScheduleLink`
/v1/tasks/schedule/link/submitPublic endpointCreate Schedule link submit
POST /v1/tasks/schedule/link/submit • validated by `postTaskScheduleLinkSubmit`
/v1/tasks/schedule/:scheduleId/registerAuth requiredCreate Schedule by scheduleid register
POST /v1/tasks/schedule/:scheduleId/register • validated by `postTaskScheduleRegistration`
/v1/tasks/schedule/:scheduleId/registrationsAuth requiredGet Schedule by scheduleid registrations
GET /v1/tasks/schedule/:scheduleId/registrations • validated by `getTaskScheduleRegistrations`
/v1/tasks/schedule/:scheduleId/registrations/:registrationIdAuth requiredUpdate Schedule by scheduleid registrations by registrationid
PATCH /v1/tasks/schedule/:scheduleId/registrations/:registrationId • validated by `patchTaskScheduleRegistration`
/v1/tasks/schedule/:scheduleId/registrations/:registrationIdAuth requiredDelete Schedule by scheduleid registrations by registrationid
DELETE /v1/tasks/schedule/:scheduleId/registrations/:registrationId • validated by `deleteTaskScheduleRegistration`
Apps / App
/v1/appsAuth requiredCreate App
POST /v1/apps • typed through route generics
/v1/appsAuth requiredGet App
GET /v1/apps • typed through route generics
/v1/apps/releaseAuth requiredCreate App release
POST /v1/apps/release • typed through route generics
/v1/apps/releaseAuth requiredGet App release
GET /v1/apps/release • typed through route generics
/v1/apps/dataAuth requiredCreate App data
POST /v1/apps/data • typed through route generics
/v1/apps/dataAuth requiredGet App data
GET /v1/apps/data • typed through route generics
/v1/apps/data/singleAuth requiredGet App data single
GET /v1/apps/data/single • typed through route generics
/v1/apps/dataAuth requiredUpdate App data
PATCH /v1/apps/data • typed through route generics
/v1/apps/dataAuth requiredDelete App data
DELETE /v1/apps/data • typed through route generics
/v1/apps/data/importAuth requiredCreate App data import
POST /v1/apps/data/import • typed through route generics
/v1/apps/available-appsAuth requiredGet App available apps
GET /v1/apps/available-apps • typed through route generics
/v1/apps/:appIdAuth requiredGet App by appid
GET /v1/apps/:appId • typed through route generics
/v1/apps/:appIdAuth requiredUpdate App by appid
PATCH /v1/apps/:appId • typed through route generics
/v1/apps/data-types/:appIdAuth requiredGet App data types by appid
GET /v1/apps/data-types/:appId • typed through route generics
/v1/apps/data/explorer/:appIdAuth requiredGet App data explorer by appid
GET /v1/apps/data/explorer/:appId • typed through route generics
/v1/apps/search-configAuth requiredCreate App search config
POST /v1/apps/search-config • typed through route generics
/v1/apps/search-config/:appIdAuth requiredGet App search config by appid
GET /v1/apps/search-config/:appId • typed through route generics
/v1/apps/search-config/:configIdAuth requiredUpdate App search config by configid
PATCH /v1/apps/search-config/:configId • typed through route generics
/v1/apps/search-config/:configIdAuth requiredDelete App search config by configid
DELETE /v1/apps/search-config/:configId • typed through route generics
Apps / Shopify / Auth
/v1/apps/shopify/authAuth requiredGet Auth
GET /v1/apps/shopify/auth • typed through route generics
/v1/apps/shopify/auth/callbackAuth requiredGet Auth callback
GET /v1/apps/shopify/auth/callback • described through route-level inference
Apps / Shopify / Webhook
/v1/apps/shopify/webhook/:shopPublic endpointCreate Webhook by shop
POST /v1/apps/shopify/webhook/:shop • described through route-level inference
Apps / Woocommerce / Webhook
/v1/apps/woocommerce/webhook/:appDataIdPublic endpointCreate Webhook by appdataid
POST /v1/apps/woocommerce/webhook/:appDataId • described through route-level inference
Search
/v1/searchAuth requiredGet Search
GET /v1/search • typed through route generics
Usage
/v1/usageAuth requiredGet Usage
GET /v1/usage • described through route-level inference
/v1/usage/statsAuth requiredGet Usage stats
GET /v1/usage/stats • described through route-level inference
Label
/v1/labelAuth requiredGet Label
GET /v1/label • typed through route generics
/v1/labelAuth requiredCreate Label
POST /v1/label • typed through route generics
/v1/label/:labelIdAuth requiredDelete Label by labelid
DELETE /v1/label/:labelId • typed through route generics
Automations / Api
/v1/automation/apiAuth requiredGet Api
GET /v1/automation/api • typed through route generics
/v1/automation/apiAuth requiredCreate Api
POST /v1/automation/api • typed through route generics
Automations / Schedule
/v1/automation/scheduleAuth requiredGet Schedule
GET /v1/automation/schedule • typed through route generics
/v1/automation/scheduleAuth requiredCreate Schedule
POST /v1/automation/schedule • typed through route generics
/v1/automation/schedule/by-payloadAuth requiredCreate Schedule by payload
POST /v1/automation/schedule/by-payload • typed through route generics
Automations / Webhook
/v1/automation/webhook/:automationIdPublic endpointCreate Webhook by automationid
POST /v1/automation/webhook/:automationId • typed through route generics
/v1/automation/webhook/:automationId/infoPublic endpointGet Webhook by automationid info
GET /v1/automation/webhook/:automationId/info • described through route-level inference
Automatizaciones
Crea y administra automatizaciones de flujo de trabajo.
/v1/automationAuth requiredListar automatizaciones
GET /v1/automation • typed through route generics
/v1/automationAuth requiredCreate Automation
POST /v1/automation • typed through route generics
/v1/automation/assistantAuth requiredCreate Automation assistant
POST /v1/automation/assistant • described through route-level inference
/v1/automation/assistant-conversationsAuth requiredGet Automation assistant conversations
GET /v1/automation/assistant-conversations • typed through route generics
/v1/automation/assistant-conversations/:idAuth requiredGet Automation assistant conversations by id
GET /v1/automation/assistant-conversations/:id • described through route-level inference
/v1/automation/assistant-conversationsAuth requiredCreate Automation assistant conversations
POST /v1/automation/assistant-conversations • typed through route generics
/v1/automation/invoice-assistantAuth requiredCreate Automation invoice assistant
POST /v1/automation/invoice-assistant • described through route-level inference
/v1/automation/payment-assistantAuth requiredCreate Automation payment assistant
POST /v1/automation/payment-assistant • described through route-level inference
/v1/automation/:id/disableAuth requiredReplace Automation by id disable
PUT /v1/automation/:id/disable • described through route-level inference
/v1/automation/:id/enableAuth requiredReplace Automation by id enable
PUT /v1/automation/:id/enable • described through route-level inference
/v1/automation/:idAuth requiredGet Automation by id
GET /v1/automation/:id • described through route-level inference
/v1/automation/:idAuth requiredReplace Automation by id
PUT /v1/automation/:id • typed through route generics
/v1/automation/:id/testAuth requiredCreate Automation by id test
POST /v1/automation/:id/test • typed through route generics
/v1/automation/:id/threadsAuth requiredGet Automation by id threads
GET /v1/automation/:id/threads • described through route-level inference
/v1/automation/:id/threads/detailedAuth requiredGet Automation by id threads detailed
GET /v1/automation/:id/threads/detailed • typed through route generics
/v1/automation/thread/:threadId/eventsAuth requiredGet Automation thread by threadid events
GET /v1/automation/thread/:threadId/events • described through route-level inference
Blog
/v1/blogPublic endpointGet Blog
GET /v1/blog • described through route-level inference
Data
/v1/data/invoicedPublic endpointGet Data invoiced
GET /v1/data/invoiced • described through route-level inference
Marketplace / Cart
/v1/marketplace/cartPublic endpointCreate Cart
POST /v1/marketplace/cart • described through route-level inference
/v1/marketplace/cart/:cartId/itemsPublic endpointUpdate Cart by cartid items
PATCH /v1/marketplace/cart/:cartId/items • described through route-level inference
/v1/marketplace/cart/:cartId/itemsPublic endpointCreate Cart by cartid items
POST /v1/marketplace/cart/:cartId/items • described through route-level inference
/v1/marketplace/cart/:cartIdPublic endpointGet Cart by cartid
GET /v1/marketplace/cart/:cartId • described through route-level inference
/v1/marketplace/cart/:cartIdPublic endpointUpdate Cart by cartid
PATCH /v1/marketplace/cart/:cartId • described through route-level inference
/v1/marketplace/cart/:cartIdPublic endpointDelete Cart by cartid
DELETE /v1/marketplace/cart/:cartId • described through route-level inference
Marketplace / Collection
/v1/marketplace/collectionPublic endpointGet Collection
GET /v1/marketplace/collection • described through route-level inference
/v1/marketplace/collection/:collectionIdPublic endpointGet Collection by collectionid
GET /v1/marketplace/collection/:collectionId • described through route-level inference
/v1/marketplace/collection/:collectionId/productsPublic endpointGet Collection by collectionid products
GET /v1/marketplace/collection/:collectionId/products • described through route-level inference
Forms / Form
/v1/formsAuth requiredGet Form
GET /v1/forms • typed through route generics
/v1/formsAuth requiredCreate Form
POST /v1/forms • typed through route generics
/v1/forms/:formIdPublic endpointGet Form by formid
GET /v1/forms/:formId • typed through route generics
/v1/forms/:formId/submissionsAuth requiredGet Form by formid submissions
GET /v1/forms/:formId/submissions • typed through route generics
/v1/forms/:formId/submitPublic endpointCreate Form by formid submit
POST /v1/forms/:formId/submit • typed through route generics
/v1/forms/:formIdAuth requiredUpdate Form by formid
PATCH /v1/forms/:formId • typed through route generics
/v1/forms/:formId/submissions/:submissionIdAuth requiredDelete Form by formid submissions by submissionid
DELETE /v1/forms/:formId/submissions/:submissionId • typed through route generics
/v1/forms/:formId/ai-analysisAuth requiredCreate Form by formid ai analysis
POST /v1/forms/:formId/ai-analysis • typed through route generics
/v1/forms/:formId/exportAuth requiredGet Form by formid export
GET /v1/forms/:formId/export • described through route-level inference
Websites
/v1/websites/contentAuth requiredGet Websites content
GET /v1/websites/content • described through route-level inference
/v1/websites/domainsAuth requiredCreate Websites domains
POST /v1/websites/domains • described through route-level inference
/v1/websites/domains/:domainAuth requiredDelete Websites domains by domain
DELETE /v1/websites/domains/:domain • described through route-level inference
/v1/websites/domainsAuth requiredGet Websites domains
GET /v1/websites/domains • described through route-level inference
/v1/websites/domains/:domain/verifyPublic endpointCreate Websites domains by domain verify
POST /v1/websites/domains/:domain/verify • described through route-level inference
/v1/websites/preview/:pageIdPublic endpointGet Websites preview by pageid
GET /v1/websites/preview/:pageId • described through route-level inference